Results 1 to 9 of 9

Thread: Warcraft III loader ( w3l.exe )

  1. #1
    Join Date
    Oct 2008
    Beans
    14

    Warcraft III loader ( w3l.exe )

    Hi all,

    Just to start off I am not very experienced with ubuntu.

    I currently have Warcraft 3 frozen throne version 1.24d using a loader with exe name w3l.exe.

    When I try and run the game I received the following error:

    Could not start War3.exe! Make sure the loader is in your Warcraft III install directory.

    The game was working before it was updated. The loader was also changed with the update as far as I know.

    If I run it in windows it works perfectly.

    Any ideas?

    Thanks in advance for any help.

  2. #2
    Join Date
    Sep 2007
    Beans
    911
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: Warcraft III loader ( w3l.exe )

    Quote Originally Posted by reflexsa View Post
    Hi all,

    Just to start off I am not very experienced with ubuntu.

    I currently have Warcraft 3 frozen throne version 1.24d using a loader with exe name w3l.exe.

    When I try and run the game I received the following error:

    Could not start War3.exe! Make sure the loader is in your Warcraft III install directory.

    The game was working before it was updated. The loader was also changed with the update as far as I know.

    If I run it in windows it works perfectly.

    Any ideas?

    Thanks in advance for any help.

    a) how are you starting the game?

    You need to cd into the application directory and then run it.

    b) Which version of Wine are you using? If it's 1.0.1, try updating to 1.1.40 after you have confirmed a.

  3. #3
    Join Date
    Jul 2007
    Location
    Alsip, IL
    Beans
    2,027
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Warcraft III loader ( w3l.exe )

    What Wine version are you running? From personal experience I can say that you should always be using the latest beta with WC3

    Regards,
    ~Jeff

  4. #4
    Join Date
    Oct 2008
    Beans
    14

    Re: Warcraft III loader ( w3l.exe )

    Hey guys,

    Im not 100% sure how to check what version of wine I have, but if I open the Wine configuration from the applications menu and click on "About" it says Wine 1.0.

    As for how I am running the game, I made a launcher on the desktop as suggested by a site I was on.

    In the launcher command is the following:

    wine "/home/kevin/.wine/drive_c/Program Files/Warcraft III/w3l.exe" -opengl

    Hope this info helps

  5. #5
    Join Date
    Sep 2007
    Beans
    911
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: Warcraft III loader ( w3l.exe )

    Quote Originally Posted by reflexsa View Post
    Hey guys,

    Im not 100% sure how to check what version of wine I have, but if I open the Wine configuration from the applications menu and click on "About" it says Wine 1.0.

    As for how I am running the game, I made a launcher on the desktop as suggested by a site I was on.

    In the launcher command is the following:

    wine "/home/kevin/.wine/drive_c/Program Files/Warcraft III/w3l.exe" -opengl

    Hope this info helps

    The site is wrong.
    Your wine version is over a year old. Update to 1.1.40.

    You need to cd to the install directory first, before running the app. A lot of programs are broken and think they will always be started within the same directory as their file. Not all, but many are broken this way, and if you are intent on starting it otherwise it can only lead to problems.

  6. #6
    Join Date
    Oct 2008
    Beans
    14

    Re: Warcraft III loader ( w3l.exe )

    Ah ok.

    Right, how do I update my wine. The way I installed was, I refreshed the list in the package manager then searched for wine and told it too install that.

    When you say "cd to the install directory" I am not sure what that means exactly. Sorry I am useless with ubuntu.

  7. #7
    Join Date
    Oct 2008
    Beans
    14

    Re: Warcraft III loader ( w3l.exe )

    On another forum they say the following is causing the problem:

    Out of date runtime libraries.

    It makes sense as the problem they described there is pretty much the one I am having.
    They said I should run the following:

    $ mkdir winetricks
    $ cd winetricks
    $ wget http://www.kegel.com/wine/winetricks
    $ sh winetricks vcrun2005sp1 vcrun2005

    Unfortunately I am not at home at the moment so I can't test it

  8. #8
    Join Date
    Apr 2009
    Beans
    104
    Distro
    Ubuntu

    Re: Warcraft III loader ( w3l.exe )

    http://www.winehq.org/download/deb here you can download latest wine, just follow the guide.

    also insteed of starting w3l.exe start war3.exe or Frozen Throne.exe if you have the expansion installed.

    edit: here's the command for adding repositories wine, just type this in your terminal

    Code:
    sudo add-apt-repository ppa:ubuntu-wine/ppa
    sudo apt-get update
    and then afterwards go to synaptic and search for wine and pick the latest one.
    Last edited by dyltman; March 13th, 2010 at 04:31 PM.

  9. #9
    Join Date
    Oct 2008
    Beans
    14

    Re: Warcraft III loader ( w3l.exe )

    Ok, so now warcraft opens using the loader.
    But now when I try to log into battle.net as soon as I have put in my details and click the next button it crashes with FATAL ERROR!

    Despite many searches for the problem. I have not fixed it yet
    Many of them suggest compile wine myself. Me being useless can't seem to get it right.

    Attached is an image of the error and the terminal text



    Hope this helps.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •